> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lygosapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Gateway



## OpenAPI

````yaml api-reference/openapi.json get /v1/gateway/{gateway_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.lygosapp.com
    description: Production Server
security: []
paths:
  /v1/gateway/{gateway_id}:
    get:
      tags:
        - Gateway
      summary: Get Gateway
      operationId: get_gateway_api_v1_api_gateway__gateway_id__get
      parameters:
        - name: gateway_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Gateway Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentGatewayDetailsSchemas'
        '400':
          description: User not found or inactive
          content:
            application/json:
              examples:
                User not found or inactive:
                  summary: User not found or inactive
                  value:
                    detail:
                      message: User not found or inactive
                      type: GATEWAY_USER_NOT_FOUND
        '401':
          description: No API key
          content:
            application/json:
              examples:
                No API Key:
                  summary: No API Key
                  value:
                    detail:
                      message: No API Key.
                      type: NO_API_KEY_PROVIDED
        '404':
          description: Gateway Not Found
          content:
            application/json:
              examples:
                Gateway Not found:
                  summary: Gateway Not found
                  value:
                    detail:
                      message: Payment Gateway Not found
                      type: GATEWAY_NOT_FOUND
                API Key Not found:
                  summary: API Key Not found
                  value:
                    detail:
                      message: API Key not found
                      type: API_KEY_NOT_FOUND
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaymentGatewayDetailsSchemas:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        amount:
          type: integer
          title: Amount
        currency:
          type: string
          title: Currency
        shop_name:
          type: string
          title: Shop Name
        message:
          type: string
          title: Message
        user_country:
          $ref: '#/components/schemas/CountryOut'
        creation_date:
          type: string
          format: date-time
          title: Creation Date
        link:
          type: string
          title: Link
        order_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Order Id
          default: ''
        success_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Success Url
        failure_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Failure Url
      type: object
      required:
        - id
        - amount
        - currency
        - shop_name
        - message
        - user_country
        - creation_date
        - link
      title: PaymentGatewayDetailsSchemas
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CountryOut:
      properties:
        name:
          type: string
          title: Name
          default: CMR
        iso_code:
          type: string
          title: Iso Code
          default: CMR
      type: object
      title: CountryOut
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````